<?php

if ( class_exists("Kirki")){

	// LOGO

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'fashion_boutique_logo_resizer',
		'label'       => esc_html__( 'Adjust Your Logo Size ', 'fashion-boutique' ),
		'section'     => 'title_tagline',
		'default'     => 70,
		'choices'     => [
			'min'  => 10,
			'max'  => 300,
			'step' => 10,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'fashion_boutique_enable_logo_text',
		'section'     => 'title_tagline',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Site Title and Tagline', 'fashion-boutique' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'fashion_boutique_display_header_title',
		'label'       => esc_html__( 'Site Title Enable / Disable Button', 'fashion-boutique' ),
		'section'     => 'title_tagline',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'fashion-boutique' ),
			'off' => esc_html__( 'Disable', 'fashion-boutique' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'fashion_boutique_display_header_text',
		'label'       => esc_html__( 'Tagline Enable / Disable Button', 'fashion-boutique' ),
		'section'     => 'title_tagline',
		'default'     => false,
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'fashion-boutique' ),
			'off' => esc_html__( 'Disable', 'fashion-boutique' ),
		],
	] );

	// FONT STYLE TYPOGRAPHY

	Kirki::add_panel( 'fashion_boutique_panel_id', array(
	    'priority'    => 10,
	    'title'       => esc_html__( 'Typography', 'fashion-boutique' ),
	) );

	Kirki::add_section( 'fashion_boutique_font_style_section', array(
		'title'      => esc_attr__( 'Typography Option',  'fashion-boutique' ),
		'priority'   => 2,
		'capability' => 'edit_theme_options',
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'fashion_boutique_all_headings_typography',
		'section'     => 'fashion_boutique_font_style_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Heading Of All Sections',  'fashion-boutique' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'global', array(
		'type'        => 'typography',
		'settings'    => 'fashion_boutique_all_headings_typography',
		'label'       => esc_attr__( 'Heading Typography',  'fashion-boutique' ),
		'description' => esc_attr__( 'Select the typography options for your heading.',  'fashion-boutique' ),
		'section'     => 'fashion_boutique_font_style_section',
		'priority'    => 10,
		'default'     => array(
			'font-family'    => '',
			'variant'        => '',
		),
		'output' => array(
			array(
				'element' => array( 'h1','h2','h3','h4','h5','h6', ),
			),
		),
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'fashion_boutique_body_content_typography',
		'section'     => 'fashion_boutique_font_style_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Body Content',  'fashion-boutique' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'global', array(
		'type'        => 'typography',
		'settings'    => 'fashion_boutique_body_content_typography',
		'label'       => esc_attr__( 'Content Typography',  'fashion-boutique' ),
		'description' => esc_attr__( 'Select the typography options for your content.',  'fashion-boutique' ),
		'section'     => 'fashion_boutique_font_style_section',
		'priority'    => 10,
		'default'     => array(
			'font-family'    => '',
			'variant'        => '',
		),
		'output' => array(
			array(
				'element' => array( 'body', ),
			),
		),
	) );

	// PANEL

	Kirki::add_panel( 'fashion_boutique_panel_id', array(
	    'priority'    => 10,
	    'title'       => esc_html__( 'Theme Options', 'fashion-boutique' ),
	) );

	// Additional Settings

	Kirki::add_section( 'fashion_boutique_additional_settings', array(
	    'title'          => esc_html__( 'Additional Settings', 'fashion-boutique' ),
	    'description'    => esc_html__( 'Scroll To Top', 'fashion-boutique' ),
	    'panel'          => 'fashion_boutique_panel_id',
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'fashion_boutique_scroll_enable_setting',
		'label'       => esc_html__( 'Here you can enable or disable your scroller.', 'fashion-boutique' ),
		'section'     => 'fashion_boutique_additional_settings',
		'default'     => '1',
		'priority'    => 10,
	] );

	new \Kirki\Field\Radio_Buttonset(
	[
		'settings'    => 'fashion_boutique_scroll_top_position',
		'label'       => esc_html__( 'Alignment for Scroll To Top', 'fashion-boutique' ),
		'section'     => 'fashion_boutique_additional_settings',
		'default'     => 'Right',
		'priority'    => 10,
		'choices'     => [
			'Left'   => esc_html__( 'Left', 'fashion-boutique' ),
			'Center' => esc_html__( 'Center', 'fashion-boutique' ),
			'Right'  => esc_html__( 'Right', 'fashion-boutique' ),
		],
	]
	);

	new \Kirki\Field\Select(
	[
		'settings'    => 'menu_text_transform_fashion_boutique',
		'label'       => esc_html__( 'Menus Text Transform', 'fashion-boutique' ),
		'section'     => 'fashion_boutique_additional_settings',
		'default'     => 'CAPITALISE',
		'placeholder' => esc_html__( 'Choose an option', 'fashion-boutique' ),
		'choices'     => [
			'CAPITALISE' => esc_html__( 'CAPITALISE', 'fashion-boutique' ),
			'UPPERCASE' => esc_html__( 'UPPERCASE', 'fashion-boutique' ),
			'LOWERCASE' => esc_html__( 'LOWERCASE', 'fashion-boutique' ),

		],
	]
	);

	new \Kirki\Field\Select(
	[
		'settings'    => 'fashion_boutique_menu_zoom',
		'label'       => esc_html__( 'Menu Transition', 'fashion-boutique' ),
		'section'     => 'fashion_boutique_additional_settings',
		'default' => 'None',
		'placeholder' => esc_html__( 'Choose an option', 'fashion-boutique' ),
		'choices'     => [
			'None' => __('None','fashion-boutique'),
            'Zoominn' => __('Zoom Inn','fashion-boutique'),
            
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'fashion_boutique_container_width',
		'label'       => esc_html__( 'Theme Container Width', 'fashion-boutique' ),
		'section'     => 'fashion_boutique_additional_settings',
		'default'     => 100,
		'choices'     => [
			'min'  => 50,
			'max'  => 100,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'fashion_boutique_site_loader',
		'label'       => esc_html__( 'Here you can enable or disable your Site Loader.', 'fashion-boutique' ),
		'section'     => 'fashion_boutique_additional_settings',
		'default'     => false,
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'fashion_boutique_sticky_header',
		'label'       => esc_html__( 'Here you can enable or disable your Sticky Header.', 'fashion-boutique' ),
		'section'     => 'fashion_boutique_additional_settings',
		'default'     => false,
		'priority'    => 10,
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'fashion_boutique_page_layout',
		'label'       => esc_html__( 'Page Layout Setting', 'fashion-boutique' ),
		'section'     => 'fashion_boutique_additional_settings',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'fashion-boutique' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','fashion-boutique'),
            'Right Sidebar' => __('Right Sidebar','fashion-boutique'),
            'One Column' => __('One Column','fashion-boutique')
		],
	] );
	

	// Woocommerce Settings

	if ( class_exists("woocommerce")){

	Kirki::add_section( 'fashion_boutique_woocommerce_settings', array(
		'title'          => esc_html__( 'Woocommerce Settings', 'fashion-boutique' ),
		'description'    => esc_html__( 'Shop Page', 'fashion-boutique' ),
		'panel'          => 'fashion_boutique_panel_id',
		'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'fashion_boutique_shop_sidebar',
		'label'       => esc_html__( 'Here you can enable or disable shop page sidebar.', 'fashion-boutique' ),
		'section'     => 'fashion_boutique_woocommerce_settings',
		'default'     => '1',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'fashion_boutique_product_sidebar',
		'label'       => esc_html__( 'Here you can enable or disable product page sidebar.', 'fashion-boutique' ),
		'section'     => 'fashion_boutique_woocommerce_settings',
		'default'     => '1',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'fashion_boutique_related_product_setting',
		'label'       => esc_html__( 'Here you can enable or disable your related products.', 'fashion-boutique' ),
		'section'     => 'fashion_boutique_woocommerce_settings',
		'default'     => true,
		'priority'    => 10,
	] );

	new \Kirki\Field\Number(
		[
			'settings' => 'fashion_boutique_per_columns',
			'label'    => esc_html__( 'Product Per Row', 'fashion-boutique' ),
			'section'  => 'fashion_boutique_woocommerce_settings',
			'default'  => 3,
			'choices'  => [
				'min'  => 1,
				'max'  => 4,
				'step' => 1,
			],
		]
	);

	new \Kirki\Field\Number(
		[
			'settings' => 'fashion_boutique_product_per_page',
			'label'    => esc_html__( 'Product Per Page', 'fashion-boutique' ),
			'section'  => 'fashion_boutique_woocommerce_settings',
			'default'  => 9,
			'choices'  => [
				'min'  => 1,
				'max'  => 15,
				'step' => 1,
			],
		]
	);

	new \Kirki\Field\Number(
	[
		'settings' => 'custom_related_products_number_per_row',
		'label'    => esc_html__( 'Related Product Per Column', 'fashion-boutique' ),
		'section'  => 'fashion_boutique_woocommerce_settings',
		'default'  => 3,
		'choices'  => [
			'min'  => 1,
			'max'  => 4,
			'step' => 1,
		],
	]
	);

	new \Kirki\Field\Number(
	[
		'settings' => 'custom_related_products_number',
		'label'    => esc_html__( 'Related Product Per Page', 'fashion-boutique' ),
		'section'  => 'fashion_boutique_woocommerce_settings',
		'default'  => 3,
		'choices'  => [
			'min'  => 1,
			'max'  => 10,
			'step' => 1,
		],
	]
	);

	new \Kirki\Field\Select(
	[
		'settings'    => 'fashion_boutique_shop_page_layout',
		'label'       => esc_html__( 'Shop Page Layout Setting', 'fashion-boutique' ),
		'section'     => 'fashion_boutique_woocommerce_settings',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'fashion-boutique' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','fashion-boutique'),
            'Right Sidebar' => __('Right Sidebar','fashion-boutique')
		],
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'fashion_boutique_product_page_layout',
		'label'       => esc_html__( 'Product Page Layout Setting', 'fashion-boutique' ),
		'section'     => 'fashion_boutique_woocommerce_settings',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'fashion-boutique' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','fashion-boutique'),
            'Right Sidebar' => __('Right Sidebar','fashion-boutique')
		],
	] );

	new \Kirki\Field\Radio_Buttonset(
	[
		'settings'    => 'fashion_boutique_woocommerce_pagination_position',
		'label'       => esc_html__( 'Woocommerce Pagination Alignment', 'fashion-boutique' ),
		'section'     => 'fashion_boutique_woocommerce_settings',
		'default'     => 'Center',
		'priority'    => 10,
		'choices'     => [
			'Left'   => esc_html__( 'Left', 'fashion-boutique' ),
			'Center' => esc_html__( 'Center', 'fashion-boutique' ),
			'Right'  => esc_html__( 'Right', 'fashion-boutique' ),
		],
	]
	);

}

	// COLOR SECTION

	Kirki::add_section( 'fashion_boutique_section_color', array(
	    'title'          => esc_html__( 'Global Color', 'fashion-boutique' ),
	    'description'    => esc_html__( 'Theme Color Settings', 'fashion-boutique' ),
	    'panel'          => 'fashion_boutique_panel_id',
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'fashion_boutique_global_colors',
		'section'     => 'fashion_boutique_section_color',
		'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Here you can change your theme color on one click.', 'fashion-boutique' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'color',
		'settings'    => 'fashion_boutique_global_color',
		'label'       => __( 'choose your Appropriate Color', 'fashion-boutique' ),
		'section'     => 'fashion_boutique_section_color',
		'default'     => '#6f45c5',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'color',
		'settings'    => 'fashion_boutique_global_color_2',
		'label'       => __( 'Choose Your Second Color', 'fashion-boutique' ),
		'section'     => 'fashion_boutique_section_color',
		'default'     => '#fbe502',
	] );

	// POST SECTION

	Kirki::add_section( 'fashion_boutique_section_post', array(
	    'title'          => esc_html__( 'Post Settings', 'fashion-boutique' ),
	    'description'    => esc_html__( 'Here you can get different post settings', 'fashion-boutique' ),
	    'panel'          => 'fashion_boutique_panel_id',
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'fashion_boutique_enable_post_heading',
		'section'     => 'fashion_boutique_section_post',
		'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Post Settings.', 'fashion-boutique' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'fashion_boutique_blog_admin_enable',
		'label'       => esc_html__( 'Post Author Enable / Disable Button', 'fashion-boutique' ),
		'section'     => 'fashion_boutique_section_post',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'fashion-boutique' ),
			'off' => esc_html__( 'Disable', 'fashion-boutique' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'fashion_boutique_blog_comment_enable',
		'label'       => esc_html__( 'Post Comment Enable / Disable Button', 'fashion-boutique' ),
		'section'     => 'fashion_boutique_section_post',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'fashion-boutique' ),
			'off' => esc_html__( 'Disable', 'fashion-boutique' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'fashion_boutique_post_excerpt_number',
		'label'       => esc_html__( 'Post Content Range', 'fashion-boutique' ),
		'section'     => 'fashion_boutique_section_post',
		'default'     => 15,
		'choices'     => [
			'min'  => 0,
			'max'  => 100,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'fashion_boutique_pagination_setting',
		'label'       => esc_html__( 'Here you can enable or disable your Pagination.', 'fashion-boutique' ),
		'section'     => 'fashion_boutique_section_post',
		'default'     => true,
		'priority'    => 10,
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'fashion_boutique_archive_sidebar_layout',
		'label'       => esc_html__( 'Archive Post Sidebar Layout Setting', 'fashion-boutique' ),
		'section'     => 'fashion_boutique_section_post',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'fashion-boutique' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','fashion-boutique'),
            'Right Sidebar' => __('Right Sidebar','fashion-boutique')
		],
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'fashion_boutique_single_post_sidebar_layout',
		'label'       => esc_html__( 'Single Post Sidebar Layout Setting', 'fashion-boutique' ),
		'section'     => 'fashion_boutique_section_post',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'fashion-boutique' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','fashion-boutique'),
            'Right Sidebar' => __('Right Sidebar','fashion-boutique')
		],
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'fashion_boutique_search_sidebar_layout',
		'label'       => esc_html__( 'Search Page Sidebar Layout Setting', 'fashion-boutique' ),
		'section'     => 'fashion_boutique_section_post',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'fashion-boutique' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','fashion-boutique'),
            'Right Sidebar' => __('Right Sidebar','fashion-boutique')
		],
	] );

	Kirki::add_field( 'fashion_boutique_config', [
		'type'        => 'select',
		'settings'    => 'fashion_boutique_post_column_count',
		'label'       => esc_html__( 'Grid Column for Archive Page', 'fashion-boutique' ),
		'section'     => 'fashion_boutique_section_post',
		'default'    => '2',
		'choices' => [
				'1' => __( '1 Column', 'fashion-boutique' ),
				'2' => __( '2 Column', 'fashion-boutique' ),
				'3' => __( '3 Column', 'fashion-boutique' ),
				'4' => __( '4 Column', 'fashion-boutique' ),
			],
	] );

	// HEADER SECTION

	Kirki::add_section( 'fashion_boutique_section_header', array(
	    'title'          => esc_html__( 'Header Settings', 'fashion-boutique' ),
	    'description'    => esc_html__( 'Here you can add header information.', 'fashion-boutique' ),
	    'panel'          => 'fashion_boutique_panel_id',
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'fashion_boutique_free_shipping_text_heading',
		'section'     => 'fashion_boutique_section_header',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Free Shipping Text', 'fashion-boutique' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
        'type'        => 'text',
        'settings'    => 'fashion_boutique_header_free_shipping',
        'section'     => 'fashion_boutique_section_header',
        'default'     => '',
    ] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'fashion_boutique_delivery_heading',
		'section'     => 'fashion_boutique_section_header',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Delivery Text', 'fashion-boutique' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
        'type'        => 'text',
        'settings'    => 'fashion_boutique_header_delivery',
        'section'     => 'fashion_boutique_section_header',
        'default'     => '',
    ] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'fashion_boutique_gift_heading',
		'section'     => 'fashion_boutique_section_header',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Gift Text', 'fashion-boutique' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
        'type'        => 'text',
        'settings'    => 'fashion_boutique_header_gift',
        'section'     => 'fashion_boutique_section_header',
        'default'     => '',
    ] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'fashion_boutique_my_account_heading',
		'section'     => 'fashion_boutique_section_header',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Myaccount Link', 'fashion-boutique' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
        'type'        => 'link',
        'settings'    => 'fashion_boutique_myaccount_link',
        'section'     => 'fashion_boutique_section_header',
        'default'     => '',
    ] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'fashion_boutique_sale_heading',
		'section'     => 'fashion_boutique_section_header',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Sale Text', 'fashion-boutique' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
        'type'        => 'text',
        'settings'    => 'fashion_boutique_header_sale_text',
        'section'     => 'fashion_boutique_section_header',
        'default'     => '',
    ] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'fashion_boutique_enable_search',
		'section'     => 'fashion_boutique_section_header',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Search Box', 'fashion-boutique' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'fashion_boutique_search_box_enable',
		'section'     => 'fashion_boutique_section_header',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'fashion-boutique' ),
			'off' => esc_html__( 'Disable', 'fashion-boutique' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'fashion_boutique_enable_google_translator',
		'section'     => 'fashion_boutique_section_header',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Google Translator', 'fashion-boutique' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'fashion_boutique_header_google_translator',
		'section'     => 'fashion_boutique_section_header',
		'default'     => '0',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'fashion-boutique' ),
			'off' => esc_html__( 'Disable', 'fashion-boutique' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'fashion_boutique_enable_cart',
		'section'     => 'fashion_boutique_section_header',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Cart', 'fashion-boutique' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'fashion_boutique_cart_box_enable',
		'section'     => 'fashion_boutique_section_header',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'fashion-boutique' ),
			'off' => esc_html__( 'Disable', 'fashion-boutique' ),
		],
	] );

	// SLIDER SECTION

	Kirki::add_section( 'fashion_boutique_blog_slide_section', array(
        'title'          => esc_html__( ' Slider Settings', 'fashion-boutique' ),
        'description'    => esc_html__( 'You have to select post category to show slider.', 'fashion-boutique' ),
        'panel'          => 'fashion_boutique_panel_id',
        'priority'       => 160,
    ) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'fashion_boutique_enable_heading',
		'section'     => 'fashion_boutique_blog_slide_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Slider', 'fashion-boutique' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'fashion_boutique_blog_box_enable',
		'label'       => esc_html__( 'Section Enable / Disable', 'fashion-boutique' ),
		'section'     => 'fashion_boutique_blog_slide_section',
		'default'     => '0',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'fashion-boutique' ),
			'off' => esc_html__( 'Disable', 'fashion-boutique' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'fashion_boutique_slide_title_unable_disable',
		'label'       => esc_html__( 'Slider Title Enable / Disable', 'fashion-boutique' ),
		'section'     => 'fashion_boutique_blog_slide_section',
		'default'     => true,
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'fashion-boutique' ),
			'off' => esc_html__( 'Disable', 'fashion-boutique' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'fashion_boutique_slide_text_unable_disable',
		'label'       => esc_html__( 'Slider Text Enable / Disable', 'fashion-boutique' ),
		'section'     => 'fashion_boutique_blog_slide_section',
		'default'     => true,
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'fashion-boutique' ),
			'off' => esc_html__( 'Disable', 'fashion-boutique' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'fashion_boutique_slide_btn_unable_disable',
		'label'       => esc_html__( 'Slider Button Enable / Disable', 'fashion-boutique' ),
		'section'     => 'fashion_boutique_blog_slide_section',
		'default'     => true,
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'fashion-boutique' ),
			'off' => esc_html__( 'Disable', 'fashion-boutique' ),
		],
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'fashion_boutique_slider_heading',
		'section'     => 'fashion_boutique_blog_slide_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Slider', 'fashion-boutique' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'number',
		'settings'    => 'fashion_boutique_blog_slide_number',
		'label'       => esc_html__( 'Number of slides to show', 'fashion-boutique' ),
		'section'     => 'fashion_boutique_blog_slide_section',
		'default'     => 0,
		'choices'     => [
			'min'  => 1,
			'max'  => 5,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'select',
		'settings'    => 'fashion_boutique_blog_slide_category',
		'label'       => esc_html__( 'Select the category to show slider ( Image Dimension 1600 x 600 )', 'fashion-boutique' ),
		'section'     => 'fashion_boutique_blog_slide_section',
		'default'     => '',
		'placeholder' => esc_html__( 'Select an category...', 'fashion-boutique' ),
		'priority'    => 10,
		'choices'     => fashion_boutique_get_categories_select(),
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'fashion_boutique_slide_text_excerpt_number',
		'section'     => 'fashion_boutique_blog_slide_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Number Of Text', 'fashion-boutique' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'fashion_boutique_slide_excerpt_number',
		'label'       => esc_html__( 'Slide Content Range', 'fashion-boutique' ),
		'section'     => 'fashion_boutique_blog_slide_section',
		'default'     => 20,
		'choices'     => [
			'min'  => 0,
			'max'  => 100,
			'step' => 1,
		],
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'fashion_boutique_slider_button_heading',
		'section'     => 'fashion_boutique_blog_slide_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Slider Button Text', 'fashion-boutique' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'fashion_boutique_slider_button_text',
		'section'  => 'fashion_boutique_blog_slide_section',
		'default'  => '',
		'priority' => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'fashion_boutique_slider_big_heading',
		'section'     => 'fashion_boutique_blog_slide_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( '# Tag Text', 'fashion-boutique' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'fashion_boutique_slide_big_text',
		'section'  => 'fashion_boutique_blog_slide_section',
		'default'  => '',
		'priority' => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
	'type'        => 'custom',
	'settings'    => 'fashion_boutique_slider_button_heading_22',
	'section'     => 'fashion_boutique_blog_slide_section',
		'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Content Alignment', 'fashion-boutique' ) . '</h3>',
	'priority'    => 10,
] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'fashion_boutique_slider_content_alignment',
		'label'       => esc_html__( 'Slider Content Alignment', 'fashion-boutique' ),
		'section'     => 'fashion_boutique_blog_slide_section',
		'default'     => 'LEFT-ALIGN',
		'placeholder' => esc_html__( 'Choose an option', 'fashion-boutique' ),
		'choices'     => [
			'LEFT-ALIGN' => esc_html__( 'LEFT-ALIGN', 'fashion-boutique' ),
			'CENTER-ALIGN' => esc_html__( 'CENTER-ALIGN', 'fashion-boutique' ),
			'RIGHT-ALIGN' => esc_html__( 'RIGHT-ALIGN', 'fashion-boutique' ),

		],
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'fashion_boutique_slider_opacity_color',
		'label'       => esc_html__( 'Slider Opacity Option', 'fashion-boutique' ),
		'section'     => 'fashion_boutique_blog_slide_section',
		'default'     => '0.9',
		'placeholder' => esc_html__( 'Choose an option', 'fashion-boutique' ),
		'choices'     => [
			'0' => esc_html__( '0', 'fashion-boutique' ),
			'0.1' => esc_html__( '0.1', 'fashion-boutique' ),
			'0.2' => esc_html__( '0.2', 'fashion-boutique' ),
			'0.3' => esc_html__( '0.3', 'fashion-boutique' ),
			'0.4' => esc_html__( '0.4', 'fashion-boutique' ),
			'0.5' => esc_html__( '0.5', 'fashion-boutique' ),
			'0.6' => esc_html__( '0.6', 'fashion-boutique' ),
			'0.7' => esc_html__( '0.7', 'fashion-boutique' ),
			'0.8' => esc_html__( '0.8', 'fashion-boutique' ),
			'0.9' => esc_html__( '0.9', 'fashion-boutique' ),
			'1.0' => esc_html__( '1.0', 'fashion-boutique' ),
			

		],
	] );

	 Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'fashion_boutique_overlay_option',
		'label'       => esc_html__( 'Enable / Disable Slider Overlay', 'fashion-boutique' ),
		'section'     => 'fashion_boutique_blog_slide_section',
		'default'     => false,
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'fashion-boutique' ),
			'off' => esc_html__( 'Disable', 'fashion-boutique' ),
		],
	] );

	 Kirki::add_field( 'theme_config_id', [
		'type'        => 'color',
		'settings'    => 'fashion_boutique_slider_image_overlay_color',
		'label'       => __( 'choose your Appropriate Overlay Color', 'fashion-boutique' ),
		'section'     => 'fashion_boutique_blog_slide_section',
		'default'     => '',
	] );


	//FEATURED CATEGORY SECTION

	Kirki::add_section( 'fashion_boutique_featured_category_section', array(
	    'title'          => esc_html__( 'Featured Category Settings', 'fashion-boutique' ),
	    'description'    => esc_html__( 'Here you can add different type of featured category.', 'fashion-boutique' ),
	    'panel'          => 'fashion_boutique_panel_id',
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'fashion_boutique_enable_heading',
		'section'     => 'fashion_boutique_featured_category_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Featured Category',  'fashion-boutique' ) . '</h3>',
		'priority'    => 1,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'fashion_boutique_featured_category_section_enable',
		'label'       => esc_html__( 'Section Enable / Disable',  'fashion-boutique' ),
		'section'     => 'fashion_boutique_featured_category_section',
		'default'     => '0',
		'priority'    => 2,
		'choices'     => [
			'on'  => esc_html__( 'Enable',  'fashion-boutique' ),
			'off' => esc_html__( 'Disable',  'fashion-boutique' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'select',
		'settings'    => 'fashion_boutique_featured_category',
		'label'       => esc_html__( 'Select the category to show featured category', 'fashion-boutique' ),
		'section'     => 'fashion_boutique_featured_category_section',
		'default'     => '',
		'placeholder' => esc_html__( 'Select an category...', 'fashion-boutique' ),
		'priority'    => 10,
		'choices'     => fashion_boutique_get_categories_select(),
	] );

	// FOOTER SECTION

	Kirki::add_section( 'fashion_boutique_footer_section', array(
        'title'          => esc_html__( 'Footer Settings', 'fashion-boutique' ),
        'description'    => esc_html__( 'Here you can change copyright text', 'fashion-boutique' ),
        'panel'          => 'fashion_boutique_panel_id',
        'priority'       => 160,
    ) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'fashion_boutique_footer_text_heading',
		'section'     => 'fashion_boutique_footer_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Footer Copyright Text', 'fashion-boutique' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'fashion_boutique_footer_text',
		'section'  => 'fashion_boutique_footer_section',
		'default'  => '',
		'priority' => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'fashion_boutique_footer_enable_heading',
		'section'     => 'fashion_boutique_footer_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Footer Link', 'fashion-boutique' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'fashion_boutique_copyright_enable',
		'label'       => esc_html__( 'Section Enable / Disable', 'fashion-boutique' ),
		'section'     => 'fashion_boutique_footer_section',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'fashion-boutique' ),
			'off' => esc_html__( 'Disable', 'fashion-boutique' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
	'type'        => 'custom',
	'settings'    => 'fashion_boutique_footer_text_heading_2',
	'section'     => 'fashion_boutique_footer_section',
	'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Footer Copyright Alignment', 'fashion-boutique' ) . '</h3>',
	'priority'    => 10,
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'fashion_boutique_copyright_text_alignment',
		'label'       => esc_html__( 'Copyright text Alignment', 'fashion-boutique' ),
		'section'     => 'fashion_boutique_footer_section',
		'default'     => 'LEFT-ALIGN',
		'placeholder' => esc_html__( 'Choose an option', 'fashion-boutique' ),
		'choices'     => [
			'LEFT-ALIGN' => esc_html__( 'LEFT-ALIGN', 'fashion-boutique' ),
			'CENTER-ALIGN' => esc_html__( 'CENTER-ALIGN', 'fashion-boutique' ),
			'RIGHT-ALIGN' => esc_html__( 'RIGHT-ALIGN', 'fashion-boutique' ),

		],
	] );

	Kirki::add_field( 'theme_config_id', [
	'type'        => 'custom',
	'settings'    => 'fashion_boutique_footer_text_heading_1',
	'section'     => 'fashion_boutique_footer_section',
	'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Footer Copyright Background Color', 'fashion-boutique' ) . '</h3>',
	'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'color',
		'settings'    => 'fashion_boutique_copyright_bg',
		'label'       => __( 'Choose Your Copyright Background Color', 'fashion-boutique' ),
		'section'     => 'fashion_boutique_footer_section',
		'default'     => '',
	] );
}
