<?php

/**
* Get started notice
*/

add_action( 'wp_ajax_fashion_boutique_dismissed_notice_handler', 'fashion_boutique_ajax_notice_handler' );

function fashion_boutique_ajax_notice_handler() {
    if ( isset( $_POST['type'] ) ) {
        $type = sanitize_text_field( wp_unslash( $_POST['type'] ) );
        update_option( 'dismissed-' . $type, TRUE );
    }
}
function fashion_boutique_deprecated_hook_admin_notice() {
        if ( ! get_option('dismissed-get_started', FALSE ) ) { ?>
            <?php
            $current_screen = get_current_screen();
				if ($current_screen->id !== 'appearance_page_fashion-boutique-guide-page') {
             $fashion_boutique_comments_theme = wp_get_theme(); ?>
            <div class="fashion-boutique-notice-wrapper updated notice notice-get-started-class is-dismissible" data-notice="get_started">
			<div class="fashion-boutique-notice">
				<div class="fashion-boutique-notice-img">
					<img src="<?php echo esc_url(get_template_directory_uri() . '/assets/images/admin-logo.png'); ?>" alt="<?php esc_attr_e('logo', 'fashion-boutique'); ?>">
				</div>
				<div class="fashion-boutique-notice-content">
					<div class="fashion-boutique-notice-heading"><?php esc_html_e('Thanks for installing ','fashion-boutique'); ?><?php echo esc_html( $fashion_boutique_comments_theme ); ?></div>
					<p><?php printf(__('In order to fully benefit from everything our theme has to offer, please make sure you visit our <a href="%s">For Premium Options</a>.', 'fashion-boutique'), esc_url(admin_url('themes.php?page=fashion-boutique-guide-page'))); ?></p>
				</div>
			</div>
		</div>
        <?php }
	}
}
add_action( 'admin_notices', 'fashion_boutique_deprecated_hook_admin_notice' );

add_action( 'admin_menu', 'fashion_boutique_getting_started' );
function fashion_boutique_getting_started() {
	add_theme_page( esc_html__('Get Started', 'fashion-boutique'), esc_html__('Get Started', 'fashion-boutique'), 'edit_theme_options', 'fashion-boutique-guide-page', 'fashion_boutique_test_guide');
}

function fashion_boutique_admin_enqueue_scripts() {
	wp_enqueue_style( 'fashion-boutique-admin-style', esc_url( get_template_directory_uri() ).'/css/main.css' );
	wp_enqueue_script( 'fashion-boutique-admin-script', get_template_directory_uri() . '/js/fashion-boutique-admin-script.js', array( 'jquery' ), '', true );
    wp_localize_script( 'fashion-boutique-admin-script', 'fashion_boutique_ajax_object',
        array( 'ajax_url' => admin_url( 'admin-ajax.php' ) )
    );
}
add_action( 'admin_enqueue_scripts', 'fashion_boutique_admin_enqueue_scripts' );

if ( ! defined( 'FASHION_BOUTIQUE_DOCS_FREE' ) ) {
define('FASHION_BOUTIQUE_DOCS_FREE',__('https://www.misbahwp.com/docs/fashion-boutique-free-docs/','fashion-boutique'));
}
if ( ! defined( 'FASHION_BOUTIQUE_DOCS_PRO' ) ) {
define('FASHION_BOUTIQUE_DOCS_PRO',__('https://www.misbahwp.com/docs/fashion-boutique-pro-docs','fashion-boutique'));
}
if ( ! defined( 'FASHION_BOUTIQUE_BUY_NOW' ) ) {
define('FASHION_BOUTIQUE_BUY_NOW',__('https://www.misbahwp.com/themes/fashion-boutique-wordpress-theme/','fashion-boutique'));
}
if ( ! defined( 'FASHION_BOUTIQUE_SUPPORT_FREE' ) ) {
define('FASHION_BOUTIQUE_SUPPORT_FREE',__('https://wordpress.org/support/theme/fashion-boutique','fashion-boutique'));
}
if ( ! defined( 'FASHION_BOUTIQUE_REVIEW_FREE' ) ) {
define('FASHION_BOUTIQUE_REVIEW_FREE',__('https://wordpress.org/support/theme/fashion-boutique/reviews/#new-post','fashion-boutique'));
}
if ( ! defined( 'FASHION_BOUTIQUE_DEMO_PRO' ) ) {
define('FASHION_BOUTIQUE_DEMO_PRO',__('https://www.misbahwp.com/demo/fashion-boutique/','fashion-boutique'));
}
if( ! defined( 'FASHION_BOUTIQUE_THEME_BUNDLE' ) ) {
define('FASHION_BOUTIQUE_THEME_BUNDLE',__('https://www.misbahwp.com/themes/wordpress-bundle/','fashion-boutique'));
}

function fashion_boutique_test_guide() { ?>
	<?php $fashion_boutique_theme = wp_get_theme(); ?>
	
	<div class="wrap" id="main-page">
		<div id="lefty">
			<div id="admin_links">
				<a href="<?php echo esc_url( FASHION_BOUTIQUE_DOCS_FREE ); ?>" target="_blank" class="blue-button-1"><?php esc_html_e( 'Documentation', 'fashion-boutique' ) ?></a>			
				<a href="<?php echo esc_url( admin_url('customize.php') ); ?>" id="customizer" target="_blank"><?php esc_html_e( 'Customize', 'fashion-boutique' ); ?> </a>
				<a class="blue-button-1" href="<?php echo esc_url( FASHION_BOUTIQUE_SUPPORT_FREE ); ?>" target="_blank" class="btn3"><?php esc_html_e( 'Support', 'fashion-boutique' ) ?></a>
				<a class="blue-button-2" href="<?php echo esc_url( FASHION_BOUTIQUE_REVIEW_FREE ); ?>" target="_blank" class="btn4"><?php esc_html_e( 'Review', 'fashion-boutique' ) ?></a>
			</div>
			<div id="description">
				<h3><?php esc_html_e('Welcome! Thank you for choosing ','fashion-boutique'); ?><?php echo esc_html( $fashion_boutique_theme ); ?>  <span><?php esc_html_e('Version: ', 'fashion-boutique'); ?><?php echo esc_html($fashion_boutique_theme['Version']);?></span></h3>
				<img class="img_responsive" style="width:100%;" src="<?php echo esc_url( get_template_directory_uri() ); ?>/screenshot.png">
				<div id="description-insidee">
					<?php
						$fashion_boutique_theme = wp_get_theme();
						echo wp_kses_post( apply_filters( 'misbah_theme_description', esc_html( $fashion_boutique_theme->get( 'Description' ) ) ) );
					?>
				</div>
			</div>
		</div>
		<div id="righty">
			<div class="postboxx donate">
				<h3 class="hndle"><?php esc_html_e( 'Upgrade to Premium', 'fashion-boutique' ); ?></h3>
				<div class="insidee">
					<p><?php esc_html_e('Discover upgraded pro features with premium version click to upgrade.','fashion-boutique'); ?></p>
					<div id="admin_pro_links">
						<a class="blue-button-2" href="<?php echo esc_url( FASHION_BOUTIQUE_BUY_NOW ); ?>" target="_blank"><?php esc_html_e( 'Go Pro', 'fashion-boutique' ); ?></a>
						<a class="blue-button-1" href="<?php echo esc_url( FASHION_BOUTIQUE_DEMO_PRO ); ?>" target="_blank"><?php esc_html_e( 'Live Demo', 'fashion-boutique' ) ?></a>
						<a class="blue-button-2" href="<?php echo esc_url( FASHION_BOUTIQUE_DOCS_PRO ); ?>" target="_blank"><?php esc_html_e( 'Pro Docs', 'fashion-boutique' ) ?></a>
					</div>
				</div>
				<h3 class="hndle bundle"><?php esc_html_e( 'Go For Theme Bundle', 'fashion-boutique' ); ?></h3>
				<div class="insidee theme-bundle">
					<p class="offer"><?php esc_html_e('Get 80+ Perfect WordPress Theme In A Single Package at just $79."','fashion-boutique'); ?></p>
					<p class="coupon"><?php esc_html_e('Get Our Theme Pack of 80+ WordPress Themes At 15% Off','fashion-boutique'); ?><span class="coupon-code"><?php esc_html_e('"Bundleup15"','fashion-boutique'); ?></span></p>
					<div id="admin_pro_linkss">
						<a class="blue-button-1" href="<?php echo esc_url( FASHION_BOUTIQUE_THEME_BUNDLE ); ?>" target="_blank"><?php esc_html_e( 'Theme Bundle', 'fashion-boutique' ) ?></a>
					</div>
				</div>
				<div class="d-table">
			    <ul class="d-column">
			      <li class="feature"><?php esc_html_e('Features','fashion-boutique'); ?></li>
			      <li class="free"><?php esc_html_e('Pro','fashion-boutique'); ?></li>
			      <li class="plus"><?php esc_html_e('Free','fashion-boutique'); ?></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('24hrs Priority Support','fashion-boutique'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Kirki Framework','fashion-boutique'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Posttype','fashion-boutique'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('One Click Demo Import','fashion-boutique'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Section Reordering','fashion-boutique'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Enable / Disable Option','fashion-boutique'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Multiple Sections','fashion-boutique'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Color Pallete','fashion-boutique'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Widgets','fashion-boutique'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Page Templates','fashion-boutique'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Typography','fashion-boutique'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Section Background Image / Color ','fashion-boutique'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>		    
	  		</div>
			</div>
		</div>
	</div>
<?php } ?>